<template>
  <div>
    <v-row justify="center" no-gutters>
      <v-col md="auto">
        <v-row>
          <div v-for="(item, index) in objetoParametro" :key="index">
            <v-col :cols="12" :sm="12" :md="12" :lg="12" :xl="12">
              <v-card
                max-width="280"
                class="pa-40 justify-center elevation-0"
                :to="item.datosUsuario.to"
              >
                <v-card-subtitle class="text-center caption pt-0 pb-0"
                  >Cobertura de supervisión</v-card-subtitle
                >
                <v-card-subtitle
                  class="text-center caption pt-0 pb-0"
                  style="height: 40px"
                >
                </v-card-subtitle>
                <div
                  class="text-center"
                  style="
                    white-space: nowrap;
                    overflow: hidden;
                    align: center;
                    justify: center;
                  "
                >
                  {{ item.datosUsuario.nombre }}
                </div>
                <div style="background: #ffcd00; height: 2px"></div>
                <GraficaCircularSupMto :objetoParametro="item.datosGrafica" />
                <v-card-text class="text-center">
                  <strong>Cobertura total:</strong>
                  <strong v-if="periodo.alDia">
                    <br />
                    {{ item.datosGrafica.value }} de
                    {{ item.datosGrafica.programadasAlDia }}
                    al día de hoy.
                  </strong>
                  <strong v-if="periodo.alPeriodo">
                    <br />
                    {{ item.datosGrafica.programadasAlTrimestre }} Supervisión en el
                    {{ periodo.periodo }}.
                  </strong>
                </v-card-text>
              </v-card>
            </v-col>
          </div>
        </v-row>
      </v-col>
    </v-row>
  </div>
</template>
<script>
import store from "@/store";
import GraficaCircularSupMto from "../../dashboard/componentes/GraficaCircularSupMto.vue";
const periodoSupervisionMtto = store.state.periodoSupervisionMtto;
export default {
  name: "matriz_usuario_grafica_regional_component",
  created() {
    this.periodo = periodoSupervisionMtto;
  },
  data() {
    return {
      objetoParametro: [],
      periodo: {},
    };
  },
  components: { GraficaCircularSupMto },
  props: {},
  methods: {
    setValores(objetoParametro) {
      this.objetoParametro = objetoParametro;
      console.log("Entro erick");
    },
  },
};
</script>

<style lang="scss" scoped></style>
